Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.impl
Class NamespaceMatcher

    java.lang.Object
      com.opensymphony.xwork2.config.impl.AbstractMatcher<NamespaceMatch>
          com.opensymphony.xwork2.config.impl.NamespaceMatcher

All Implemented Interfaces:
  Serializable

    public class NamespaceMatcher

extends AbstractMatcher<NamespaceMatch>

Matches namespace strings against a wildcard pattern matcher

See Also:
  Serialized Form

Constructor Summary
`NamespaceMatcher(PatternMatcher<?> patternMatcher, Set<String> namespaces)`

Method Summary
`protected NamespaceMatch` | `convert(String path, NamespaceMatch orig, Map<String,String> vars)` Clones the target object and its children, replacing various properties with the values of the wildcard-matched strings.

Methods inherited from class com.opensymphony.xwork2.config.impl.AbstractMatcher
`addPattern, convertParam, freeze, match, replaceParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamespaceMatcher

    public NamespaceMatcher(PatternMatcher<?> patternMatcher,
                            Set<String> namespaces)

Method Detail

### convert

    protected NamespaceMatch convert(String path,
                                     NamespaceMatch orig,
                                     Map<String,String> vars)

  Description copied from class: `AbstractMatcher`

  Clones the target object and its children, replacing various properties with the values of the wildcard-matched strings.

  Specified by:
    `convert` in class `AbstractMatcher<NamespaceMatch>`
  Parameters:
    `path` - The requested path
    `orig` - The original object
    `vars` - A Map of wildcard-matched strings
  Returns:
    A cloned object with appropriate properties replaced with wildcard-matched values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.